<?xml version="1.0" encoding="UTF-8" ?>

<ClassComponent localName="Logger"
	description="Система логирования для простых компонентов" fileName="NPCSimpleComponentLogger.jar"
	className="org.mati.npc.components.simplecomponentlogger.NPCSimpleComponentLogger"
	version="8872" time="17.02.2009 01:05:07">

	<Group>Журналирование</Group>

	<INLink name="Execute"
		description="При получении True отправляет сообщение StringTrue лог, при получении False отравляет сообщение StringFalse в лог"
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="0" nullable="true">
	</INLink>

	<Attribute name="StringTrue"
		description="Строка, отправляемая при получении True сигнала"
		nullable="false" type="java.lang.String" defaultValue="True Signal">
	</Attribute>
	<Attribute name="StringFalse"
		description="Строка, отправляемая при получении False сигнала"
		nullable="false" type="java.lang.String" defaultValue="False Signal">
	</Attribute>
	<Attribute name="CriticalFalse" description="Критичность сообщения в лог по False. Допустимые значения: DEBUG, FATAL, LOG, WARN, ERROR" nullable="false"
		type="java.lang.String" defaultValue="LOG">
	</Attribute>
	<Attribute name="CriticalTrue" description="Критичность сообщения в лог по True. Допустимые значения: DEBUG, FATAL, LOG, WARN, ERROR" nullable="false"
		type="java.lang.String" defaultValue="LOG">
	</Attribute>

</ClassComponent>